<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <title>Inventory</title>
    <style>
        img, video, object, embed {
    max-width: 100%;    
    height: auto;
    overflow:hidden !important;
    }
    </style>
</head>
<body>
    
    <div class="container">   
            <div class="row">
				<!--Section: Best Features-->
				<div id="workout-item" class="col-lg">

					<!-- Heading -->
					<h2 class="mb-5 font-weight-bold">Days Exercises</h2>

					<table id="items-table" class="table" hidden >
						
						<thead>
							<tr>
								<th scope="col">Id</th>
								<th scope="col">Name</th>
                                <th scope="col">sets</th>
								<th scope="col">reps</th>
                                <th scope="col">calories</th> 
                                <th scope="col">DELETE</th>                              
							</tr>
						</thead>
						<tbody id="items-table-body">


						</tbody>
					</table>

					

				</div>
                <div id="adding-items" class="col-md">
                    <h2 class="mb-5 font-weight-bold">Add/Update Exercise</h2>
                    <div id="exercise-item">
                        <form id="new-item-form">
                            
                            <input type="text" id="item-id" class="form-control" placeholder="Item id" value="0" hidden>
                            <br>
                            <label for="item-name">Item Name</label>
                            <input type="text" id="item-name" class="form-control" placeholder="Item Name" value="">
                            <br>
                            <label for="item-sets">Sets</label>
                            <input type="number" id="item-sets" class="form-control" step="1" placeholder="Sets" value="0">
                            <br>
                            <label for="item-reps">Reps</label>
                            <input type="number" id="item-reps" class="form-control" step="1" placeholder="Reps">
                            <br>
                            <label for="item-calories">Calories</label>
                            <input type="number" id="item-calories" class="form-control" step="0.1" placeholder="Calories">
                            <br>
                            <input type="text" id="item-date" class="form-control" placeholder="Item date" value="0" hidden>
                            <br>
                            <button id ="add-item" class="btn btn-primary" type="submit">Add Item</button>
                            <button id ="update-item" class="btn btn-primary" type="submit">Update Item</button>
                            <div id="create-msg" hidden></div>
                        </form>
    
                        

                    </div>

                </div>
            </div>
    </div>
    
</body>
<script>
    $(function () {
        $('[data-toggle="popover"]').popover()
        })

    document.getElementById("item-date").value=sessionStorage.getItem("q-date");
</script>
<script src="items-request.js"></script>
<script src="server-requests.js"></script>
<script src="new-item.js"></script>
<!--<script src="nav-items.js"></script>-->
</html>
